Subject: Adding sfwbar package

From: Josep Bigorra <[email-masked]>
Date: Sat, 25 Jan 2025 22:32:50 +0100

Hi all I am working on making a subset of Guix setup which is
accessible to all users, as part of the SSS project:
https://codeberg.org/jjba23/sss

For this, I want to use sfwbar (https://github.com/LBCrion/sfwbar),
which is a nice Wayland taskbar, focused on floating window
compositors, like labwc. I think a lot of people will benefit from
having this package in Guix.

I have made a start, and the build phase succeeds, but am at a loss at
what is going wrong, could I get a hand?
The project uses meson to build so should make it easier for Guix.
I get an error like: RUNPATH validation failed and the
validate-runpath phase fails.

I am attaching the build logs and the PoC package definition,
Best,
Joe